/*
 * This file is part of Vanilla.
 *
 * Copyright (c) 2011 Spout LLC <http://www.spout.org/>
 * Vanilla is licensed under the Spout License Version 1.
 *
 * Vanilla is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * In addition, 180 days after any changes are published, you can use the
 * software, incorporating those changes, under the terms of the MIT license,
 * as described in the Spout License Version 1.
 *
 * Vanilla is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License,
 * the MIT license and the Spout License Version 1 along with this program.
 * If not, see <http://www.gnu.org/licenses/> for the GNU Lesser General Public
 * License and see <http://spout.in/licensev1> for the full license, including
 * the MIT license.
 */
package org.spout.vanilla.data.drops.flag;

import org.spout.api.util.flag.FlagSingle;

public class ToolTypeFlags {
	/**
	 * A tool other than the one displayed here was used
	 */
	public static final FlagSingle OTHER = new FlagSingle();
	/**
	 * A pickaxe was used
	 */
	public static final FlagSingle PICKAXE = new FlagSingle();
	/**
	 * An axe was used
	 */
	public static final FlagSingle AXE = new FlagSingle();
	/**
	 * A spade was used
	 */
	public static final FlagSingle SPADE = new FlagSingle();
	/**
	 * A hoe was used
	 */
	public static final FlagSingle HOE = new FlagSingle();
	/**
	 * A sword was used
	 */
	public static final FlagSingle SWORD = new FlagSingle();
	/**
	 * A bow was used
	 */
	public static final FlagSingle BOW = new FlagSingle();
	/**
	 * A flint and steel was used
	 */
	public static final FlagSingle FLINT_AND_STEEL = new FlagSingle();
	/**
	 * Shears were used
	 */
	public static final FlagSingle SHEARS = new FlagSingle();
	/**
	 * A fishing rod was used
	 */
	public static final FlagSingle FISHING_ROD = new FlagSingle();
	/**
	 * A carrot on a stick was used
	 */
	public static final FlagSingle CARROT_ON_A_STICK = new FlagSingle();
}
