/*
 * This file is part of Vanilla.
 *
 * Copyright (c) 2011 Spout LLC <http://www.spout.org/>
 * Vanilla is licensed under the Spout License Version 1.
 *
 * Vanilla is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * In addition, 180 days after any changes are published, you can use the
 * software, incorporating those changes, under the terms of the MIT license,
 * as described in the Spout License Version 1.
 *
 * Vanilla is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License,
 * the MIT license and the Spout License Version 1 along with this program.
 * If not, see <http://www.gnu.org/licenses/> for the GNU Lesser General Public
 * License and see <http://spout.in/licensev1> for the full license, including
 * the MIT license.
 */
package org.spout.vanilla.data.effect.store;

import org.spout.vanilla.data.effect.SoundEffect;
import org.spout.vanilla.data.effect.type.NoSoundEffect;
import org.spout.vanilla.data.effect.type.NoteSoundEffect;

public class SoundEffects {
	public static final SoundEffect NONE = new NoSoundEffect();
	public static final SoundEffect AMBIENT_CAVE_CAVE = new SoundEffect("ambient.cave.cave");
	public static final SoundEffect AMBIENT_WEATHER_RAIN = new SoundEffect("ambient.weather.rain");
	public static final SoundEffect AMBIENT_WEATHER_THUNDER = new SoundEffect("ambient.weather.thunder");
	public static final SoundEffect DAMAGE_FALLBIG = new SoundEffect("damage.fallbig");
	public static final SoundEffect DAMAGE_FALLSMALL = new SoundEffect("damage.fallsmall");
	public static final SoundEffect DAMAGE_HURTFLESH = new SoundEffect("damage.hurtflesh");
	public static final SoundEffect FIRE_FIRE = new SoundEffect("fire.fire");
	public static final SoundEffect FIRE_IGNITE = new SoundEffect("fire.ignite");
	public static final SoundEffect LIQUID_LAVA = new SoundEffect("liquid.lava");
	public static final SoundEffect LIQUID_LAVAPOP = new SoundEffect("liquid.lavapop");
	public static final SoundEffect LIQUID_SPLASH = new SoundEffect("liquid.splash");
	public static final SoundEffect LIQUID_WATER = new SoundEffect("liquid.water");
	public static final SoundEffect MOB_CHICKEN = new SoundEffect("mob.chicken");
	public static final SoundEffect MOB_CHICKENHURT = new SoundEffect("mob.chickenhurt");
	public static final SoundEffect MOB_CHICKENPLOP = new SoundEffect("mob.chickenplop");
	public static final SoundEffect MOB_COW = new SoundEffect("mob.cow");
	public static final SoundEffect MOB_COWHURT = new SoundEffect("mob.cowhurt");
	public static final SoundEffect MOB_CREEPER = new SoundEffect("mob.creeper");
	public static final SoundEffect MOB_CREEPERDEATH = new SoundEffect("mob.creeperdeath");
	public static final SoundEffect MOB_PIG = new SoundEffect("mob.pig");
	public static final SoundEffect MOB_PIGDEATH = new SoundEffect("mob.pigdeath");
	public static final SoundEffect MOB_SHEEP = new SoundEffect("mob.sheep");
	public static final SoundEffect MOB_SKELETON = new SoundEffect("mob.skeleton");
	public static final SoundEffect MOB_SKELETONDEATH = new SoundEffect("mob.skeletondeath");
	public static final SoundEffect MOB_SKELETONHURT = new SoundEffect("mob.skeletonhurt");
	public static final SoundEffect MOB_SLIME = new SoundEffect("mob.slime");
	public static final SoundEffect MOB_SLIMEATTACK = new SoundEffect("mob.slimeattack");
	public static final SoundEffect MOB_SPIDER = new SoundEffect("mob.spider");
	public static final SoundEffect MOB_SPIDERDEATH = new SoundEffect("mob.spiderdeath");
	public static final SoundEffect MOB_ZOMBIE = new SoundEffect("mob.zombie");
	public static final SoundEffect MOB_ZOMBIEDEATH = new SoundEffect("mob.zombiedeath");
	public static final SoundEffect MOB_ZOMBIEHURT = new SoundEffect("mob.zombiehurt");
	public static final SoundEffect MOB_BLAZE_BREATHE = new SoundEffect("mob.blaze.breathe");
	public static final SoundEffect MOB_BLAZE_DEATH = new SoundEffect("mob.blaze.death");
	public static final SoundEffect MOB_BLAZE_HIT = new SoundEffect("mob.blaze.hit");
	public static final SoundEffect MOB_CAT_HISS = new SoundEffect("mob.cat.hiss");
	public static final SoundEffect MOB_CAT_HITT = new SoundEffect("mob.cat.hitt");
	public static final SoundEffect MOB_CAT_MEOW = new SoundEffect("mob.cat.meow");
	public static final SoundEffect MOB_CAT_PURR = new SoundEffect("mob.cat.purr");
	public static final SoundEffect MOB_CAT_PURREOW = new SoundEffect("mob.cat.purreow");
	public static final SoundEffect MOB_ENDERMEN_DEATH = new SoundEffect("mob.endermen.death");
	public static final SoundEffect MOB_ENDERMEN_HIT = new SoundEffect("mob.endermen.hit");
	public static final SoundEffect MOB_ENDERMEN_IDLE = new SoundEffect("mob.endermen.idle");
	public static final SoundEffect MOB_ENDERMEN_PORTAL = new SoundEffect("mob.endermen.portal");
	public static final SoundEffect MOB_ENDERMEN_PORTAL2 = new SoundEffect("mob.endermen.portal2");
	public static final SoundEffect MOB_ENDERMEN_SCREAM = new SoundEffect("mob.endermen.scream");
	public static final SoundEffect MOB_ENDERMEN_STARE = new SoundEffect("mob.endermen.stare");
	public static final SoundEffect MOB_GHAST_AFFECTIONATESCREAM = new SoundEffect("mob.ghast.affectionate scream");
	public static final SoundEffect MOB_GHAST_CHARGE = new SoundEffect("mob.ghast.charge");
	public static final SoundEffect MOB_GHAST_DEATH = new SoundEffect("mob.ghast.death");
	public static final SoundEffect MOB_GHAST_FIREBALL = new SoundEffect("mob.ghast.fireball");
	public static final SoundEffect MOB_GHAST_MOAN = new SoundEffect("mob.ghast.moan");
	public static final SoundEffect MOB_GHAST_SCREAM = new SoundEffect("mob.ghast.scream");
	public static final SoundEffect MOB_IRONGOLEM_DEATH = new SoundEffect("mob.irongolem.death");
	public static final SoundEffect MOB_IRONGOLEM_HIT = new SoundEffect("mob.irongolem.hit");
	public static final SoundEffect MOB_IRONGOLEM_THROW = new SoundEffect("mob.irongolem.throw");
	public static final SoundEffect MOB_IRONGOLEM_WALK = new SoundEffect("mob.irongolem.walk");
	public static final SoundEffect MOB_MAGMACUBE_BIG = new SoundEffect("mob.magmacube.big");
	public static final SoundEffect MOB_MAGMACUBE_JUMP = new SoundEffect("mob.magmacube.jump");
	public static final SoundEffect MOB_MAGMACUBE_SMALL = new SoundEffect("mob.magmacube.small");
	public static final SoundEffect MOB_SILVERFISH_HIT = new SoundEffect("mob.silverfish.hit");
	public static final SoundEffect MOB_SILVERFISH_KILL = new SoundEffect("mob.silverfish.kill");
	public static final SoundEffect MOB_SILVERFISH_SAY = new SoundEffect("mob.silverfish.say");
	public static final SoundEffect MOB_SILVERFISH_STEP = new SoundEffect("mob.silverfish.step");
	public static final SoundEffect MOB_WOLF_BARK = new SoundEffect("mob.wolf.bark");
	public static final SoundEffect MOB_WOLF_DEATH = new SoundEffect("mob.wolf.death");
	public static final SoundEffect MOB_WOLF_GROWL = new SoundEffect("mob.wolf.growl");
	public static final SoundEffect MOB_WOLF_HOWL = new SoundEffect("mob.wolf.howl");
	public static final SoundEffect MOB_WOLF_HURT = new SoundEffect("mob.wolf.hurt");
	public static final SoundEffect MOB_WOLF_PANTING = new SoundEffect("mob.wolf.panting");
	public static final SoundEffect MOB_WOLF_SHAKE = new SoundEffect("mob.wolf.shake");
	public static final SoundEffect MOB_WOLF_WHINE = new SoundEffect("mob.wolf.whine");
	public static final SoundEffect MOB_ZOMBIE_METAL = new SoundEffect("mob.zombie.metal");
	public static final SoundEffect MOB_ZOMBIE_WOOD = new SoundEffect("mob.zombie.wood");
	public static final SoundEffect MOB_ZOMBIE_WOODBREAK = new SoundEffect("mob.zombie.woodbreak");
	public static final SoundEffect MOB_ZOMBIEPIG_ZPIG = new SoundEffect("mob.zombiepig.zpig");
	public static final SoundEffect MOB_ZOMBIEPIG_ZPIGANGRY = new SoundEffect("mob.zombiepig.zpigangry");
	public static final SoundEffect MOB_ZOMBIEPIG_ZPIGDEATH = new SoundEffect("mob.zombiepig.zpigdeath");
	public static final SoundEffect MOB_ZOMBIEPIG_ZPIGHURT = new SoundEffect("mob.zombiepig.zpighurt");
	public static final NoteSoundEffect NOTE_BASS = new NoteSoundEffect("note.bass");
	public static final NoteSoundEffect NOTE_BASSATTACK = new NoteSoundEffect("note.bassattack");
	public static final NoteSoundEffect NOTE_BD = new NoteSoundEffect("note.bd");
	public static final NoteSoundEffect NOTE_HARP = new NoteSoundEffect("note.harp");
	public static final NoteSoundEffect NOTE_HAT = new NoteSoundEffect("note.hat");
	public static final NoteSoundEffect NOTE_PLING = new NoteSoundEffect("note.pling");
	public static final NoteSoundEffect NOTE_SNARE = new NoteSoundEffect("note.snare");
	public static final SoundEffect PORTAL_PORTAL = new SoundEffect("portal.portal");
	public static final SoundEffect PORTAL_TRAVEL = new SoundEffect("portal.travel");
	public static final SoundEffect PORTAL_TRIGGER = new SoundEffect("portal.trigger");
	public static final SoundEffect RANDOM_BOW = new SoundEffect("random.bow");
	public static final SoundEffect RANDOM_BOWHIT = new SoundEffect("random.bowhit");
	public static final SoundEffect RANDOM_BREAK = new SoundEffect("random.break");
	public static final SoundEffect RANDOM_BREATH = new SoundEffect("random.breath");
	public static final SoundEffect RANDOM_BURP = new SoundEffect("random.burp");
	public static final SoundEffect RANDOM_CHESTCLOSED = new SoundEffect("random.chestclosed");
	public static final SoundEffect RANDOM_CHESTOPEN = new SoundEffect("random.chestopen");
	public static final SoundEffect RANDOM_CLICK = new SoundEffect("random.onClick");
	public static final SoundEffect RANDOM_DOOR_CLOSE = new SoundEffect("random.door_close");
	public static final SoundEffect RANDOM_DOOR_OPEN = new SoundEffect("random.door_open");
	public static final SoundEffect RANDOM_DRINK = new SoundEffect("random.drink");
	public static final SoundEffect RANDOM_DRR = new SoundEffect("random.drr");
	public static final SoundEffect RANDOM_EAT = new SoundEffect("random.eat");
	public static final SoundEffect RANDOM_EXPLODE = new SoundEffect("random.explode", 64);
	public static final SoundEffect RANDOM_FIZZ = new SoundEffect("random.fizz");
	public static final SoundEffect RANDOM_FUSE = new SoundEffect("random.fuse");
	public static final SoundEffect RANDOM_GLASS = new SoundEffect("random.glass");
	public static final SoundEffect RANDOM_HURT = new SoundEffect("random.hurt");
	public static final SoundEffect RANDOM_LEVELUP = new SoundEffect("random.levelup");
	public static final SoundEffect RANDOM_OLD_EXPLODE = new SoundEffect("random.old_explode");
	public static final SoundEffect RANDOM_ORB = new SoundEffect("random.orb");
	public static final SoundEffect RANDOM_POP = new SoundEffect("random.pop");
	public static final SoundEffect RANDOM_SPLASH = new SoundEffect("random.splash");
	public static final SoundEffect RANDOM_WOODCLICK = new SoundEffect("random.wood onClick");
	public static final SoundEffect STEP_CLOTH = new SoundEffect("step.cloth");
	public static final SoundEffect STEP_GRASS = new SoundEffect("step.grass");
	public static final SoundEffect STEP_GRAVEL = new SoundEffect("step.gravel");
	public static final SoundEffect STEP_SAND = new SoundEffect("step.sand");
	public static final SoundEffect STEP_SNOW = new SoundEffect("step.snow");
	public static final SoundEffect STEP_STONE = new SoundEffect("step.stone");
	public static final SoundEffect STEP_WOOD = new SoundEffect("step.wood");
	public static final SoundEffect TILE_PISTON_IN = new SoundEffect("tile.piston.in");
	public static final SoundEffect TILE_PISTON_OUT = new SoundEffect("tile.piston.out");
}
