/*
 * This file is part of Vanilla.
 *
 * Copyright (c) 2011 Spout LLC <http://www.spout.org/>
 * Vanilla is licensed under the Spout License Version 1.
 *
 * Vanilla is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * In addition, 180 days after any changes are published, you can use the
 * software, incorporating those changes, under the terms of the MIT license,
 * as described in the Spout License Version 1.
 *
 * Vanilla is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License,
 * the MIT license and the Spout License Version 1 along with this program.
 * If not, see <http://www.gnu.org/licenses/> for the GNU Lesser General Public
 * License and see <http://spout.in/licensev1> for the full license, including
 * the MIT license.
 */
package org.spout.vanilla.data.resources;

public class VanillaMaterialModels {
	public static final String CRAFTING_TABLE = "model://Vanilla/materials/block/solid/craftingtable/craftingtable.spm";
	public static final String BREWING_STAND = null;
	public static final String ENCHANTMENT_TABLE = null;
	public static final String BEACON = null;
	public static final String ANVIL = null;
	public static final String DISPENSER = "model://Vanilla/materials/block/solid/dispenser/dispenser.spm";
	public static final String DROPPER = null;
	public static final String FURNACE = "model://Vanilla/materials/block/solid/furnace/furnace.spm";
	public static final String JUKEBOX = "model://Vanilla/materials/block/solid/jukebox/jukebox.spm";
	public static final String MONSTER_SPAWNER = "model://Vanilla/materials/block/solid/mobspawner/mobspawner.spm";
	public static final String NOTE_BLOCK = "model://Vanilla/materials/block/solid/noteblock/noteblock.spm";
	public static final String SIGN = null;
	public static final String CHEST = null;
	public static final String TRAPPED_CHEST = null;
	public static final String ENDER_CHEST = null;
	public static final String IRON_DOOR = "model://Vanilla/materials/block/animated/door/iron_bot_close.spm";
	public static final String WOODEN_DOOR = "model://Vanilla/materials/block/animated/door/wooden_bot_close.spm";
	public static final String COBBLESTONE_WALL = null;
	public static final String MOSSY_COBBLESTONE_WALL = null;
	public static final String NETHER_BRICK_FENCE = null;
	public static final String WOODEN_FENCE = null;
	public static final String LAVA = "model://Vanilla/materials/block/liquid/lava/lava.spm";
	public static final String WATER = "model://Vanilla/materials/block/liquid/water/water.spm";
	public static final String BED_BLOCK = null;
	public static final String CAKE_BLOCK = null;
	public static final String DRAGON_EGG = null;
	public static final String END_PORTAL_FRAME = null;
	public static final String FARM_LAND = "model://Vanilla/materials/block/solid/farmland/farmland.spm";
	public static final String FENCE_GATE = null;
	public static final String FIRE = null;
	public static final String GLASS_PANE = null;
	public static final String LADDER = null;
	public static final String LEVER = null;
	public static final String STONE_BUTTON = null;
	public static final String WOODEN_BUTTON = null;
	public static final String TNT_BLOCK = "model://Vanilla/materials/block/solid/tnt/tnt.spm";
	public static final String TORCH = "model://Vanilla/materials/block/nonsolid/torch/torch.spm";
	public static final String TRAP_DOOR = null;
	public static final String TRIP_WIRE = null;
	public static final String TRIP_WIRE_HOOK = null;
	public static final String WEB = null;
	public static final String DEADGRASS = "model://Vanilla/materials/block/nonsolid/deadgrass/deadgrass.spm";
	public static final String TALLGRASS = "model://Vanilla/materials/block/nonsolid/tallgrass/tallgrass.spm";
	public static final String FERN = "model://Vanilla/materials/block/nonsolid/fern/fern.spm";
	public static final String VINES = "model://Vanilla/materials/block/nonsolid/vines/vines.spm";
	public static final String SUGARCANE = "model://Vanilla/materials/block/nonsolid/sugarcane/sugarcane.spm";
	public static final String CACTUS = "model://Vanilla/materials/block/nonsolid/cactus/cactus.spm";
	public static final String DANDELION = "model://Vanilla/materials/block/nonsolid/dandelion/dandelion.spm";
	public static final String ROSE = "model://Vanilla/materials/block/nonsolid/rose/rose.spm";
	public static final String BROWN_MUSHROOM = "model://Vanilla/materials/block/nonsolid/brownmushroom/brownmushroom.spm";
	public static final String RED_MUSHROOM = "model://Vanilla/materials/block/nonsolid/redmushroom/redmushroom.spm";
	public static final String VANILLA_BLOCK = "model://Vanilla/materials/block/solid/vanilla/vanilla.spm";
	public static final String BEDROCK = "model://Vanilla/materials/block/solid/bedrock/bedrock.spm";
	public static final String BOOK_SHELF = "model://Vanilla/materials/block/solid/bookshelf/bookshelf.spm";
	public static final String BRICK = "model://Vanilla/materials/block/solid/bricks/bricks.spm";
	public static final String CAULDRON_BLOCK = null;
	public static final String CLAY_BLOCK = "model://Vanilla/materials/block/solid/clayblock/clayblock.spm";
	public static final String COBBLESTONE = "model://Vanilla/materials/block/solid/cobblestone/cobblestone.spm";
	public static final String DIRT = "model://Vanilla/materials/block/solid/dirt/dirt.spm";
	public static final String ENDSTONE = "model://Vanilla/materials/block/solid/endstone/endstone.spm";
	public static final String GLASS = "model://Vanilla/materials/block/solid/glass/glass.spm";
	public static final String GRASS = "model://Vanilla/materials/block/solid/grass/grass.spm";
	public static final String GRAVEL = "model://Vanilla/materials/block/solid/gravel/gravel.spm";
	public static final String ICE = "model://Vanilla/materials/block/solid/iceblock/iceblock.spm";
	public static final String IRON_BARS_BLOCK = null;
	public static final String LOCKED_CHEST = null;
	public static final String MOSS_STONE = "model://Vanilla/materials/block/solid/mossycobblestone/mossycobblestone.spm";
	public static final String MUSHROOM_BLOCK = null;
	public static final String MYCELIUM = "model://Vanilla/materials/block/solid/mycelium/mycelium.spm";
	public static final String NETHER_BRICK = "model://Vanilla/materials/block/solid/netherbrick/netherbrick.spm";
	public static final String NETHER_RACK = "model://Vanilla/materials/block/solid/netherrack/netherrack.spm";
	public static final String OBSIDIAN = "model://Vanilla/materials/block/solid/obsidian/obsidian.spm";
	public static final String PUMPKIN = "model://Vanilla/materials/block/solid/pumpkin/pumpkin.spm";
	public static final String JACK_O_LANTERN = "model://Vanilla/materials/block/solid/jackolantern/jackolantern.spm";
	public static final String REDSTONE_LAMP_ON = "model://Vanilla/materials/block/solid/redstonelampon/redstonelampon.spm";
	public static final String REDSTONE_LAMP_OFF = "model://Vanilla/materials/block/solid/redstonelampoff/redstonelampoff.spm";
	public static final String SAND = "model://Vanilla/materials/block/solid/sand/sand.spm";
	public static final String SOUL_SAND = "model://Vanilla/materials/block/solid/soulsand/soulsand.spm";
	public static final String SPONGE = "model://Vanilla/materials/block/solid/sponge/sponge.spm";
	public static final String STONE = "model://Vanilla/materials/block/solid/stone/stone.spm";
	public static final String HOPPER = null;
	// Wool
	public static final String WOOL_WHITE = "model://Vanilla/materials/block/solid/whitewool/whitewool.spm";
	public static final String WOOL_ORANGE = "model://Vanilla/materials/block/solid/orangewool/orangewool.spm";
	public static final String WOOL_MAGENTA = "model://Vanilla/materials/block/solid/magentawool/magentawool.spm";
	public static final String WOOL_LIGHTBLUE = "model://Vanilla/materials/block/solid/lightbluewool/lightbluewool.spm";
	public static final String WOOL_YELLOW = "model://Vanilla/materials/block/solid/yellowwool/yellowwool.spm";
	public static final String WOOL_LIME = null;
	public static final String WOOL_PINK = "model://Vanilla/materials/block/solid/pinkwool/pinkwool.spm";
	public static final String WOOL_GRAY = "model://Vanilla/materials/block/solid/graywool/graywool.spm";
	public static final String WOOL_SILVER = "model://Vanilla/materials/block/solid/lightgraywool/lightgraywool.spm";
	public static final String WOOL_CYAN = "model://Vanilla/materials/block/solid/cyanwool/cyanwool.spm";
	public static final String WOOL_PURPLE = "model://Vanilla/materials/block/solid/purplewool/purplewool.spm";
	public static final String WOOL_BLUE = "model://Vanilla/materials/block/solid/bluewool/bluewool.spm";
	public static final String WOOL_BROWN = "model://Vanilla/materials/block/solid/brownwool/brownwool.spm";
	public static final String WOOL_GREEN = "model://Vanilla/materials/block/solid/greenwool/greenwool.spm";
	public static final String WOOL_RED = "model://Vanilla/materials/block/solid/redwool/redwool.spm";
	public static final String WOOL_BLACK = "model://Vanilla/materials/block/solid/blackwool/blackwool.spm";
	// Carpet
	public static final String CARPET_WHITE = null;
	public static final String CARPET_ORANGE = null;
	public static final String CARPET_MAGENTA = null;
	public static final String CARPET_LIGHTBLUE = null;
	public static final String CARPET_YELLOW = null;
	public static final String CARPET_LIME = null;
	public static final String CARPET_PINK = null;
	public static final String CARPET_GRAY = null;
	public static final String CARPET_SILVER = null;
	public static final String CARPET_CYAN = null;
	public static final String CARPET_PURPLE = null;
	public static final String CARPET_BLUE = null;
	public static final String CARPET_BROWN = null;
	public static final String CARPET_GREEN = null;
	public static final String CARPET_RED = null;
	public static final String CARPET_BLACK = null;
	// Stone Brick
	public static final String STONE_BRICK = "model://Vanilla/materials/block/solid/stonebrick/stonebrick.spm";
	public static final String STONE_BRICK_MOSSY = "model://Vanilla/materials/block/solid/mossystonebrick/mossystonebrick.spm";
	public static final String STONE_BRICK_CRACKED = "model://Vanilla/materials/block/solid/crackedstonebrick/crackedstonebrick.spm";
	public static final String STONE_BRICK_CHISELED = "model://Vanilla/materials/block/solid/chiseledstonebrick/chiseledstonebrick.spm";
	// Sandstone
	public static final String SANDSTONE = "model://Vanilla/materials/block/solid/sandstone/sandstone.spm";
	public static final String SANDSTONE_DECORATIVE = "model://Vanilla/materials/block/solid/cheseledsandstone/cheseledsandstone.spm";
	public static final String SANDSTONE_SMOOTH = "model://Vanilla/materials/block/solid/smoothsandstone/smoothsandstone.spm";
	// Quartz
	public static final String QUARTZ = null;
	public static final String CHISELED_QUARTZ = null;
	public static final String PILLAR_QUARTZ = null;
	// Planks
	public static final String PLANK_OAK = "model://Vanilla/materials/block/solid/oakplanks/oakplanks.spm";
	public static final String PLANK_PINE = "model://Vanilla/materials/block/solid/spruceplanks/spruceplanks.spm";
	public static final String PLANK_BIRCH = "model://Vanilla/materials/block/solid/birchplanks/birchplanks.spm";
	public static final String PLANK_JUNGLE = "model://Vanilla/materials/block/solid/jungleplanks/jungleplanks.spm";
	// Leaves
	public static final String LEAVES_OAK = "model://Vanilla/materials/block/solid/oakleaves/oakleaves.spm";
	public static final String LEAVES_SPRUCE = "model://Vanilla/materials/block/solid/spruceleaves/spruceleaves.spm";
	public static final String LEAVES_BIRCH = "model://Vanilla/materials/block/solid/birchleaves/birchleaves.spm";
	public static final String LEAVES_JUNGLE = "model://Vanilla/materials/block/solid/jungleleaves/jungleleaves.spm";
	// Logs
	public static final String LOG_OAK = "model://Vanilla/materials/block/solid/oakwood/oakwood.spm";
	public static final String LOG_SPRUCE = "model://Vanilla/materials/block/solid/sprucewood/sprucewood.spm";
	public static final String LOG_BIRCH = "model://Vanilla/materials/block/solid/birchwood/birchwood.spm";
	public static final String LOG_JUNGLE = "model://Vanilla/materials/block/solid/junglewood/junglewood.spm";
	// Ores
	public static final String COAL_ORE = "model://Vanilla/materials/block/solid/coalore/coalore.spm";
	public static final String DIAMOND_BLOCK = "model://Vanilla/materials/block/solid/diamondblock/diamondblock.spm";
	public static final String DIAMOND_ORE = "model://Vanilla/materials/block/solid/diamondore/diamondore.spm";
	public static final String GOLD_BLOCK = "model://Vanilla/materials/block/solid/goldblock/goldblock.spm";
	public static final String GOLD_ORE = "model://Vanilla/materials/block/solid/goldore/goldore.spm";
	public static final String EMERALD_BLOCK = null;
	public static final String EMERALD_ORE = null;
	public static final String IRON_BLOCK = "model://Vanilla/materials/block/solid/ironblock/ironblock.spm";
	public static final String IRON_ORE = "model://Vanilla/materials/block/solid/ironore/ironore.spm";
	public static final String LAPIS_LAZULI_BLOCK = "model://Vanilla/materials/block/solid/lapislazuliblock/lapislazuliblock.spm";
	public static final String LAPIS_LAZULI_ORE = "model://Vanilla/materials/block/solid/lapislazuliore/lapislazuliore.spm";
	public static final String REDSTONE_ORE = "model://Vanilla/materials/block/solid/redstoneore/redstoneore.spm";
	public static final String REDSTONE_BLOCK = null;
	public static final String MELON_BLOCK = "model://Vanilla/materials/block/solid/melon/melon.spm";
	public static final String GLOWSTONE = "model://Vanilla/materials/block/solid/glowstone/glowstone.spm";
	public static final String NETHER_QUARTZ_ORE = null;
	// Double Slabs //TODO: Separate models per material
	public static final String DOUBLE_SLAB = "model://Vanilla/materials/block/solid/doubleslabs/doubleslabs.spm";
	public static final String DOUBLE_SLAB_BIRCH_WOOD = "model://Vanilla/materials/block/solid/birchwooddoubleslab/birchwooddoubleslab.spm";
	public static final String DOUBLE_SLAB_BRICK = "model://Vanilla/materials/block/solid/brickdoubleslab/brickdoubleslab.spm";
	public static final String DOUBLE_SLAB_COBBLESTONE = "model://Vanilla/materials/block/solid/cobblestonedoubleslab/cobblestonedoubleslab.spm";
	public static final String DOUBLE_SLAB_JUNGLE_WOOD = "model://Vanilla/materials/block/solid/junglewooddoubleslab/junglewooddoubleslab.spm";
	public static final String DOUBLE_SLAB_NETHER_BRICK = "model://Vanilla/materials/block/solid/netherbrickdoubleslab/netherbrickdoubleslab.spm";
	public static final String DOUBLE_SLAB_OAK_WOOD = "model://Vanilla/materials/block/solid/oakwooddoubleslab/oakwooddoubleslab.spm";
	public static final String DOUBLE_SLAB_SANDSTONE = "model://Vanilla/materials/block/solid/sandstonedoubleslab/sandstonedoubleslab.spm";
	public static final String DOUBLE_SLAB_SPRUCE_WOOD = "model://Vanilla/materials/block/solid/sprucewooddoubleslab/sprucewooddoubleslab.spm";
	public static final String DOUBLE_SLAB_STONE_BRICK = "model://Vanilla/materials/block/solid/stonebrickdoubleslab/stonebrickdoubleslab.spm";
	public static final String DOUBLE_SLAB_STONE_WOOD = "model://Vanilla/materials/block/solid/stonewooddoubleslab/stonewooddoubleslab.spm";
	// Slabs
	public static final String SLAB_STONE = null;
	public static final String SLAB_SANDSTONE = null;
	public static final String SLAB_STONE_WOOD = null;
	public static final String SLAB_COBBLESTONE = null;
	public static final String SLAB_BRICK = null;
	public static final String SLAB_STONE_BRICK = null;
	public static final String SLAB_NETHER_BRICK = null;
	public static final String SLAB_QUARTZ = null;
	public static final String SLAB_OAK_WOOD = null;
	public static final String SLAB_SPRUCE_WOOD = null;
	public static final String SLAB_BIRCH_WOOD = null;
	public static final String SLAB_JUNGLE_WOOD = null;
	// Snow
	public static final String SNOW_1 = "model://Vanilla/materials/block/nonsolid/snow/snow_1.spm";
	public static final String SNOW_2 = "model://Vanilla/materials/block/nonsolid/snow/snow_2.spm";
	public static final String SNOW_3 = "model://Vanilla/materials/block/nonsolid/snow/snow_3.spm";
	public static final String SNOW_4 = "model://Vanilla/materials/block/nonsolid/snow/snow_4.spm";
	public static final String SNOW_5 = "model://Vanilla/materials/block/nonsolid/snow/snow_5.spm";
	public static final String SNOW_6 = "model://Vanilla/materials/block/nonsolid/snow/snow_6.spm";
	public static final String SNOW_7 = "model://Vanilla/materials/block/nonsolid/snow/snow_7.spm";
	public static final String SNOW_BLOCK = "model://Vanilla/materials/block/solid/snowblock/snowblock.spm";
	// Flower pot
	public static final String FLOWER_POT_EMPTY = null;
	public static final String FLOWER_POT_ROSE = null;
	public static final String FLOWER_POT_DANDELION = null;
	public static final String FLOWER_POT_OAK_SAPLING = null;
	public static final String FLOWER_POT_SPRUCE_SAPLING = null;
	public static final String FLOWER_POT_BIRCH_SAPLING = null;
	public static final String FLOWER_POT_JUNGLE_SAPLING = null;
	public static final String FLOWER_POT_RED_MUSHROOM = null;
	public static final String FLOWER_POT_BROWN_MUSHROOM = null;
	public static final String FLOWER_POT_CACTUS = null;
	public static final String FLOWER_POT_DEAD_BUSH = null;
	public static final String FLOWER_POT_FERN = null;
	public static final String HAY_BALE = null;
	public static final String CARPET = null;
	public static final String HARDENED_CLAY = null;
	// Stained Clay Colors
	public static final String STAINED_CLAY_WHITE = null;
	public static final String STAINED_CLAY_ORANGE = null;
	public static final String STAINED_CLAY_MAGENTA = null;
	public static final String STAINED_CLAY_LIGHTBLUE = null;
	public static final String STAINED_CLAY_YELLOW = null;
	public static final String STAINED_CLAY_LIME = null;
	public static final String STAINED_CLAY_PINK = null;
	public static final String STAINED_CLAY_GRAY = null;
	public static final String STAINED_CLAY_SILVER = null;
	public static final String STAINED_CLAY_CYAN = null;
	public static final String STAINED_CLAY_PURPLE = null;
	public static final String STAINED_CLAY_BLUE = null;
	public static final String STAINED_CLAY_BROWN = null;
	public static final String STAINED_CLAY_GREEN = null;
	public static final String STAINED_CLAY_RED = null;
	public static final String STAINED_CLAY_BLACK = null;
}
